'
' Demonstrate the Real Time Clock Calendar procedures for PIC24H devices
'
    Device = 24HJ128GP502
    Declare Xtal = 79.23

    Declare Hserial_Baud = 115200           ' UART1 baud rate
    Declare Hrsout1_Pin = PORTB.3           ' Select which pin is to be used for TX with USART1

    Include "RTCC_24.inc"                   ' Load the RTCC procedures into the program
'
' Create some variables for the demo
'
    Dim RTCC_Second As Byte
    Dim RTCC_Minute As Byte
    Dim RTCC_Hour As Byte

    Dim RTCC_WeekDay As Byte
    Dim RTCC_Day As Byte
    Dim RTCC_Month As Byte
    Dim RTCC_Year As Byte

'-------------------------------------------------------------------------------------
Main:
    PLL_Setup(43, 2, 2, $0300)              ' Configure the Oscillator to operate the device at 79.23MHz
    PPS_Output(cOut_Pin_RP3, cOut_Fn_U1TX)  ' Make Pin RB3 U1TX

    RTCC_Init()                             ' Initialise the RTCC peripheral (must be placed after PLL_Setup)

    RTCC_SetTime(1, 2, 3)                   ' Set the time
    RTCC_SetDate(17, 2, 14)                 ' Set the date
    RTCC_SetWeekDay(1)                      ' Set the week day

    While
        RTCC_GetTime(RTCC_Hour, RTCC_Minute, RTCC_Second)
        RTCC_GetDate(RTCC_Day, RTCC_Month, RTCC_Year)
        RTCC_WeekDay = RTCC_GetWeekDay()

        HRSOut "Time = ", Dec RTCC_Hour,":", Dec RTCC_Minute, ":",Dec RTCC_Second, 13

        HRSOut "Date = ", RTCC_GetDayName(RTCC_WeekDay), " ",_
                          RTCC_GetDateName(RTCC_Day), " ",_
                          RTCC_GetMonthName(RTCC_Month),_
                          " 20", Dec2 RTCC_Year, 13
        DelayMS 512
    Wend

'---------------------------------------------------------------------------------------
' Configure for internal 7.37MHz oscillator with PLL
' OSC pins are general purpose I/O
'
    Config FBS = BWRP_WRPROTECT_OFF
    Config FSS = SWRP_WRPROTECT_OFF
    Config FGS = GWRP_OFF
    Config FOSCSEL = FNOSC_FRCPLL, IESO_OFF
    Config FOSC = POSCMD_NONE, OSCIOFNC_ON, IOL1WAY_OFF, FCKSM_CSECME
    Config FWDT = WDTPOST_PS256, WINDIS_OFF, FWDTEN_OFF
    Config FPOR = FPWRT_PWR128, ALTI2C_OFF
    Config FICD = ICS_PGD1, JTAGEN_OFF


